﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TimelinePanel
{
    public class TimelineModel
    {
        public DateTime MinTime { get { return DateTime.Parse("08:00"); } }

        public DateTime MaxTime { get { return DateTime.Parse("16:00"); } }

        public List<TimelineItem> TimelineItems {
            get
            {
                return new List<TimelineItem>()
                {
                    new TimelineItem() { StartTime = DateTime.Parse("08:00"), EndTime = DateTime.Parse("10:00"), Text = "08:00 - 10:00" },
                    new TimelineItem() { StartTime = DateTime.Parse("10:00"), EndTime = DateTime.Parse("12:00"), Text = "10:00 - 12:00" },
                    new TimelineItem() { StartTime = DateTime.Parse("12:00"), EndTime = DateTime.Parse("16:00"), Text = "12:00 - 16:00" }
                };
            }
        }
    }
}
